import pandas as pd  

def prehandle4retention(write_name=None, id_name=None, time_name=None, sum_name=None, table_name=None, engine=None, sql=None):
    if not sql:
        sql = 'select `{}` as user_id, `{}` as active_time, `{}` from `{}`'.format(id_name, time_name, sum_name, table_name)
    df = pd.read_sql(sql=sql, con=engine)
    df.to_csv(write_name, encoding='utf_8_sig', index=False)