import pandas as pd  

def prehandle4timedis(time_name=None, table_name=None, engine=None, sql=None, write_name=None):
    if not sql:
        sql = 'select `{}` as time from `{}` where `{}` > "1970-01-01 00:00:00"'.format(time_name, table_name, time_name)
    print('执行sql:{}'.format(sql))
    df = pd.read_sql(sql=sql, con=engine)
    df.to_csv(write_name, encoding='utf_8_sig', index=False)